com.jscape.inet.gateway.operation.statistics

## Class ServerParameters

- java.lang.Object
- - com.jscape.inet.gateway.operation.statistics.ServerParameters

-     public class ServerParameters
      extends java.lang.Object

  Author:
    Alex Usun

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ServerParameters.Maintenance`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `applicationInstanceId`
    `java.util.Date` | `buildDate`
    `NetworkInterfaceInfo[]` | `interfaces`
    `java.lang.String` | `javaVersion`
    `java.util.Date` | `licenseExpirationDate`
    `java.lang.String` | `licenseHost`
    `java.lang.String` | `licenseId`
    `java.lang.String` | `licenseMac`
    `ServerParameters.Maintenance` | `licenseMaintenance`
    `java.lang.String` | `licenseOwner`
    `java.lang.String` | `licenseType`
    `int` | `maxConnections`
    `java.lang.String` | `osVersion`
    `java.lang.String[]` | `sslCipherSuites`
    `java.lang.String[]` | `sslProtocols`
    `java.util.TimeZone` | `timeZone`
    `java.lang.String` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerParameters()`
    `ServerParameters(java.lang.String version, java.lang.String applicationInstanceId, java.util.Date buildDate, java.lang.String osVersion, java.lang.String javaVersion, java.lang.String licenseId, java.lang.String licenseOwner, java.lang.String licenseType, java.lang.String licenseHost, java.lang.String licenseMac, java.util.Date licenseExpirationDate, ServerParameters.Maintenance licenseMaintenance, int maxConnections, java.util.TimeZone timeZone, NetworkInterfaceInfo[] interfaces, java.lang.String[] sslCipherSuites, java.lang.String[] sslProtocols)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### version

          public java.lang.String version

    - #### applicationInstanceId

          public java.lang.String applicationInstanceId

    - #### buildDate

          public java.util.Date buildDate

    - #### osVersion

          public java.lang.String osVersion

    - #### javaVersion

          public java.lang.String javaVersion

    - #### licenseId

          public java.lang.String licenseId

    - #### licenseOwner

          public java.lang.String licenseOwner

    - #### licenseType

          public java.lang.String licenseType

    - #### licenseHost

          public java.lang.String licenseHost

    - #### licenseMac

          public java.lang.String licenseMac

    - #### licenseExpirationDate

          public java.util.Date licenseExpirationDate

    - #### licenseMaintenance

          public ServerParameters.Maintenance licenseMaintenance

    - #### maxConnections

          public int maxConnections

    - #### timeZone

          public java.util.TimeZone timeZone

    - #### interfaces

          public NetworkInterfaceInfo[] interfaces

    - #### sslCipherSuites

          public java.lang.String[] sslCipherSuites

    - #### sslProtocols

          public java.lang.String[] sslProtocols

  - ### Constructor Detail

    - #### ServerParameters

          public ServerParameters(java.lang.String version,
                                  java.lang.String applicationInstanceId,
                                  java.util.Date buildDate,
                                  java.lang.String osVersion,
                                  java.lang.String javaVersion,
                                  java.lang.String licenseId,
                                  java.lang.String licenseOwner,
                                  java.lang.String licenseType,
                                  java.lang.String licenseHost,
                                  java.lang.String licenseMac,
                                  java.util.Date licenseExpirationDate,
                                  ServerParameters.Maintenance licenseMaintenance,
                                  int maxConnections,
                                  java.util.TimeZone timeZone,
                                  NetworkInterfaceInfo[] interfaces,
                                  java.lang.String[] sslCipherSuites,
                                  java.lang.String[] sslProtocols)

    - #### ServerParameters

          public ServerParameters()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © Advanced Systems Concepts Inc. 2009-2021. All Rights Reserved